import java.io.PrintWriter;
import java.io.IOException;
import java.util.Enumeration;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class DisplayServlet extends HttpServlet{

  public void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException{
    response.setContentType("text/html");
    PrintWriter out = response.getWriter();
    out.println("<html><head><title>Servlet Example</title></head><body>");

    out.println("Query String being processed: <br/>");
    out.println(request.getQueryString());
    out.println("<p>");
    out.println("Request Parameters:<p>");

    Enumeration enumParam = request.getParameterNames();
    while (enumParam.hasMoreElements()) 
    {
      String paramName = (String) enumParam.nextElement();
      String paramValues[] = request.getParameterValues(paramName);
      if (paramValues != null) 
      {
        for (int i = 0; i < paramValues.length; i++) 
        {
          out.print(paramName);
          out.print(" (" + i + "): ");
          out.print(paramValues[i]);
          out.println("<br/>");
        }
      }
    }
    out.println("</body></html>");
    out.close();
  }

  public void doPost(HttpServletRequest request,HttpServletResponse response)throws ServletException, IOException 
  {
    doGet(request, response);
  }
}
